package org.xyzh.common.core.entity;
import java.util.List;
import org.xyzh.common.core.enums.DataStatus;

/**
 * @description    DataEntity.java文件描述 数据实体类
 * @filename    DataEntity.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-07
 */
public class DataEntity<T> extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * @description    创建人ID
     * @author    yslg
     * @since 2025-09-07
     */
    private String creatorID;

    /**
     * @description    创建人名称
     * @author    yslg
     * @since 2025-09-07
     */
    private String creatorName;

    /**
     * @description    更新人ID
     * @author    yslg
     * @since 2025-09-07
     */
    private String updatorID;

    /**
     * @description    更新人名称
     * @author    yslg
     * @since 2025-09-07
     */
    private String updatorName;

    /**
     * @description    删除人ID
     * @author    yslg
     * @since 2025-09-07
     */
    private String deleterID;

    /**
     * @description    删除人名称
     * @author    yslg
     * @since 2025-09-07
     */
    private String deleterName;

        /**
     * @description    所有者ID
     * @author    yslg
     * @since 2025-09-07
     */
    private String ownerID;

    /**
     * @description    所有者名称
     * @author    yslg
     * @since 2025-09-07
     */
    private String ownerName;

    /**
     * @description    数据状态
     * @author    yslg
     * @since 2025-09-07
     */
    private DataStatus dataStatus;
    
    /**
     * @description    是否可见
     * @author    yslg
     * @since 2025-09-07
     */
    private Boolean visible;

    /**
     * @description    实体数据
     * @author    yslg
     * @since 2025-09-07
     */
    private T data;
    
    /**
     * @description    实体数据列表
     * @author    yslg
     * @since 2025-09-07
     */
    private List<T> dataList;

    public String getCreatorID() {
        return creatorID;
    }

    public void setCreatorID(String creatorID) {
        this.creatorID = creatorID;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getUpdatorID() {
        return updatorID;
    }

    public void setUpdatorID(String updatorID) {
        this.updatorID = updatorID;
    }

    public String getUpdatorName() {
        return updatorName;
    }

    public void setUpdatorName(String updatorName) {
        this.updatorName = updatorName;
    }

    public String getDeleterID() {
        return deleterID;
    }

    public void setDeleterID(String deleterID) {
        this.deleterID = deleterID;
    }

    public String getDeleterName() {
        return deleterName;
    }

    public void setDeleterName(String deleterName) {
        this.deleterName = deleterName;
    }

    public String getOwnerID() {
        return ownerID;
    }

    public void setOwnerID(String ownerID) {
        this.ownerID = ownerID;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public DataStatus getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(DataStatus dataStatus) {
        this.dataStatus = dataStatus;
    }

    public Boolean getVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public List<T> getDataList() {
        return dataList;
    }

    public void setDataList(List<T> dataList) {
        this.dataList = dataList;
    }

    
}
